# -*- coding: utf-8 -*-
# vim: ft=yaml
---
# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
ci:
  autofix_commit_msg: |
    ci(pre-commit.ci): apply auto fixes from pre-commit.com hooks

    For more information, see https://pre-commit.ci
  autofix_prs: true
  autoupdate_branch: ''
  autoupdate_commit_msg: |
    ci(pre-commit.ci): perform `pre-commit` autoupdate
  autoupdate_schedule: {{ 'weekly' if semrel_formula == 'ssf' else 'quarterly' }}
  skip: []
  submodules: false
default_stages: [commit]
repos:
  - repo: https://github.com/dafyddj/commitlint-pre-commit-hook
    rev: v2.3.0
    hooks:
      - id: commitlint
        name: Check commit message using commitlint
        description: Lint commit message against @commitlint/config-conventional rules
        stages: [commit-msg]
        additional_dependencies: ['@commitlint/config-conventional@8.3.4']
      - id: commitlint-travis
        stages: [manual]
        additional_dependencies: ['@commitlint/config-conventional@8.3.4']
        always_run: true
  {%- if travis.use_single_job_for_linters %}
  - repo: https://github.com/rubocop-hq/rubocop
    rev: v1.56.3
    hooks:
      - id: rubocop
        name: Check Ruby files with rubocop
        args: [--debug]
        always_run: true
        pass_filenames: false
  {%- endif %}
  - repo: https://github.com/shellcheck-py/shellcheck-py
    rev: v0.9.0.5
    hooks:
      - id: shellcheck
        name: Check shell scripts with shellcheck
        files: ^.*\.(sh|bash|ksh)$
        {%- if semrel_formula == 'ssf' %}
        exclude: 'ssf/files/default/pre-commit_semantic-release.sh'
        {%- endif  %}
        types: []
  - repo: https://github.com/adrienverge/yamllint
    rev: v1.32.0
    hooks:
      - id: yamllint
        name: Check YAML syntax with yamllint
        args: [--strict, '.']
        always_run: true
        pass_filenames: false
  - repo: https://github.com/warpnet/salt-lint
    rev: v0.9.2
    hooks:
      - id: salt-lint
        name: Check Salt files using salt-lint
        files: ^.*\.(sls|jinja|j2|tmpl|tst)$
  - repo: https://github.com/myint/rstcheck
    rev: v5.0.0
    hooks:
      - id: rstcheck
        name: Check reST files using rstcheck
        exclude: 'docs/CHANGELOG.rst'
  - repo: https://github.com/saltstack-formulas/mirrors-rst-lint
    rev: v1.3.2
    hooks:
      - id: rst-lint
        name: Check reST files using rst-lint
        exclude: |
            (?x)^(
                docs/CHANGELOG.rst|
                docs/TOFS_pattern.rst|
                {#- Required until the Antora solution is finalised, which then allows
                    the `readthedocs` site to be disbanded #}
                {%- if semrel_formula == 'template' %}
                docs/CONTRIBUTING_DOCS.rst|
                docs/index.rst|
                {#- Required until the `TOFS_pattern.rst` template is fixed #}
                {%- elif semrel_formula == 'ssf' %}
                ssf/files/default/docs/TOFS_pattern.rst|
                {%- endif  %}
            )$
        additional_dependencies: [pygments==2.9.0]
